CMSIS-Core (Cortex-A): Multiprocessor Affinity Register (MPIDR)

| CMSIS-Core (Cortex-A) Version 1.2.0 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Multiprocessor Affinity Register (MPIDR)
Core Register Access

In a multiprocessor system, the MPIDR provides an additional processor identification mechanism for scheduling purposes, and indicates whether the implementation includes the Multiprocessing Extensions. More...

## Functions

__STATIC_FORCEINLINE uint32_t | __get_MPIDR (void)
| Get MPIDR. More...

## Description

Bits | Name | Function
--- | --- | ---
[31] | MPEA | Multiprocessing Extensions Available
[30] | U | Indicates a Uniprocessor system
[29:25] | - | Reserved.
[24] | MT | Indicates whether the lowest level of affinity consists of logical processors that are implemented using a multi-threading type approach.
[23:16] | Aff2 | Affinity level 2.
[15:8] | Aff1 | Affinity level 1.
[7:0] | Aff0 | Affinity level 0.

Consider __get_MPIDR to access this register.

## Function Documentation

__STATIC_INLINE uint32_t __get_MPIDR | ( | void |  | ) |

This function returns the value of the Multiprocessor Affinity Register.

Returns
  Multiprocessor Affinity Register value

This function returns the value of the Multiprocessor Affinity Register (MPIDR).